Retrieves all unavailability types
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "a9793646-c286-499e-8529-588875282c57",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "76f8fd9a-3ac7-48da-bb90-6e7be407f532",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "440e1e23-fda1-4842-859e-c35caf00c4e8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "8d6f10bf-1101-4c86-b22a-7faac75b9ced",
"db_currency_id": "305184ea-d72b-4194-a619-70b9f594658b",
"db_language_id": "73ec4488-49cc-4cd7-b9a8-135e30a73756",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T19:20:17.4640535+00:00"
},
"modified_dateutc": "2026-11-12T19:20:17.4640535+00:00"
}